diff -ur hyperv_w10_20150906/dsdt.dsl hyperv_w10_1703/dsdt.dsl
--- hyperv_w10_20150906/dsdt.dsl	2017-04-23 19:37:21.936455000 +0200
+++ hyperv_w10_1703/dsdt.dsl	2017-04-23 19:37:30.306539000 +0200
@@ -2897,10 +3685,10 @@
 
         Name (BUFA, ResourceTemplate ()
         {
-            IRQ (Level, ActiveLow, Shared, _Y13)
+            IRQ (Level, ActiveLow, Shared, _Y14)
                 {15}
         })
-        CreateWordField (BUFA, \_SB._Y13._INT, ICRS)  // _INT: Interrupts
+        CreateWordField (BUFA, \_SB._Y14._INT, ICRS)  // _INT: Interrupts
         Method (LSTA, 1, NotSerialized)
         {
             Local0 = (Arg0 & 0x80)
Binary files hyperv_w10_20150906/facp.dat and hyperv_w10_1703/facp.dat differ
diff -ur hyperv_w10_20150906/facp.dsl hyperv_w10_1703/facp.dsl
--- hyperv_w10_20150906/facp.dsl	2017-04-23 19:37:21.956455000 +0200
+++ hyperv_w10_1703/facp.dsl	2017-04-23 19:37:30.306539000 +0200
@@ -3,7 +3,7 @@
  * AML/ASL+ Disassembler version 20170303 (64-bit version)
  * Copyright (c) 2000 - 2017 Intel Corporation
  * 
- * Disassembly of facp.dat, Sun Apr 23 19:37:21 2017
+ * Disassembly of facp.dat, Sun Apr 23 19:37:30 2017
  *
  * ACPI Data Table [FACP]
  *
@@ -13,15 +13,15 @@
 [000h 0000   4]                    Signature : "FACP"    [Fixed ACPI Description Table (FADT)]
 [004h 0004   4]                 Table Length : 00000081
 [008h 0008   1]                     Revision : 02
-[009h 0009   1]                     Checksum : 64
+[009h 0009   1]                     Checksum : 7A
 [00Ah 0010   6]                       Oem ID : "VRTUAL"
 [010h 0016   8]                 Oem Table ID : "MICROSFT"
-[018h 0024   4]                 Oem Revision : 05001223
+[018h 0024   4]                 Oem Revision : 01001706
 [01Ch 0028   4]              Asl Compiler ID : "MSFT"
 [020h 0032   4]        Asl Compiler Revision : 00000097
 
 [024h 0036   4]                 FACS Address : F7FFF000
-[028h 0040   4]                 DSDT Address : F7FF1724
+[028h 0040   4]                 DSDT Address : F7FF1D24
 [02Ch 0044   1]                        Model : 01
 [02Dh 0045   1]                   PM Profile : 00 [Unspecified]
 [02Eh 0046   2]                SCI Interrupt : 0009
@@ -99,9 +99,9 @@
 
 Raw Table Data: Length 129 (0x81)
 
-  0000: 46 41 43 50 81 00 00 00 02 64 56 52 54 55 41 4C  // FACP.....dVRTUAL
-  0010: 4D 49 43 52 4F 53 46 54 23 12 00 05 4D 53 46 54  // MICROSFT#...MSFT
-  0020: 97 00 00 00 00 F0 FF F7 24 17 FF F7 01 00 09 00  // ........$.......
+  0000: 46 41 43 50 81 00 00 00 02 7A 56 52 54 55 41 4C  // FACP.....zVRTUAL
+  0010: 4D 49 43 52 4F 53 46 54 06 17 00 01 4D 53 46 54  // MICROSFT....MSFT
+  0020: 97 00 00 00 00 F0 FF F7 24 1D FF F7 01 00 09 00  // ........$.......
   0030: B2 00 00 00 E1 1E 00 E2 00 04 00 00 00 00 00 00  // ................
   0040: 04 04 00 00 00 00 00 00 22 00 00 00 08 04 00 00  // ........".......
   0050: 0C 04 00 00 00 00 00 00 04 02 01 04 04 00 00 E3  // ................
diff -ur hyperv_w10_20150906/oem0.dsl hyperv_w10_1703/oem0.dsl
--- hyperv_w10_20150906/oem0.dsl	2017-04-23 19:37:21.956455000 +0200
+++ hyperv_w10_1703/oem0.dsl	2017-04-23 19:37:30.306539000 +0200
@@ -3,7 +3,7 @@
  * AML/ASL+ Disassembler version 20170303 (64-bit version)
  * Copyright (c) 2000 - 2017 Intel Corporation
  * 
- * Disassembly of oem0.dat, Sun Apr 23 19:37:21 2017
+ * Disassembly of oem0.dat, Sun Apr 23 19:37:30 2017
  *
  * ACPI Data Table [OEM0]
  *
@@ -13,10 +13,10 @@
 [000h 0000   4]                    Signature : "OEM0"    
 [004h 0004   4]                 Table Length : 00000064
 [008h 0008   1]                     Revision : 01
-[009h 0009   1]                     Checksum : F2
+[009h 0009   1]                     Checksum : E8
 [00Ah 0010   6]                       Oem ID : "VRTUAL"
 [010h 0016   8]                 Oem Table ID : "MICROSFT"
-[018h 0024   4]                 Oem Revision : 05001223
+[018h 0024   4]                 Oem Revision : 01001706
 [01Ch 0028   4]              Asl Compiler ID : "MSFT"
 [020h 0032   4]        Asl Compiler Revision : 00000097
 
@@ -26,10 +26,10 @@
 
 Raw Table Data: Length 100 (0x64)
 
-  0000: 4F 45 4D 30 64 00 00 00 01 F2 56 52 54 55 41 4C  // OEM0d.....VRTUAL
-  0010: 4D 49 43 52 4F 53 46 54 23 12 00 05 4D 53 46 54  // MICROSFT#...MSFT
-  0020: 97 00 00 00 88 01 E2 8A 8B B5 5B 9D 78 D4 7E 0D  // ..........[.x.~.
-  0030: D4 9D 37 6C 68 3F 13 FE 5A AF C7 E9 1D A0 9E 2B  // ..7lh?..Z......+
-  0040: 86 99 A5 54 E0 39 EB FB C7 53 5A 86 9C CE 30 59  // ...T.9...SZ...0Y
-  0050: 40 0D 90 DD 4C 73 09 D8 9B A8 4A 22 1C D4 11 58  // @...Ls....J"...X
-  0060: 10 6F 2F 25                                      // .o/%
+  0000: 4F 45 4D 30 64 00 00 00 01 E8 56 52 54 55 41 4C  // OEM0d.....VRTUAL
+  0010: 4D 49 43 52 4F 53 46 54 06 17 00 01 4D 53 46 54  // MICROSFT....MSFT
+  0020: 97 00 00 00 CF 12 FE 02 42 45 65 17 39 14 45 B5  // ........BEe.9.E.
+  0030: E9 D1 96 1D 87 BC FD 80 08 90 E3 6A 7F 15 27 96  // ...........j..'.
+  0040: EE DF 62 BD 99 17 77 99 75 2A 3E 3D 26 80 D0 76  // ..b...w.u*>=&..v
+  0050: F5 6A E5 86 61 57 B5 DD 0F 77 37 5B 1A 7F 83 1E  // .j..aW...w7[....
+  0060: DD 25 34 92                                      // .%4.
Binary files hyperv_w10_20150906/oemb.dat and hyperv_w10_1703/oemb.dat differ
diff -ur hyperv_w10_20150906/rsdt.dsl hyperv_w10_1703/rsdt.dsl
--- hyperv_w10_20150906/rsdt.dsl	2017-04-23 19:37:21.956455000 +0200
+++ hyperv_w10_1703/rsdt.dsl	2017-04-23 19:37:30.306539000 +0200
@@ -3,7 +3,7 @@
  * AML/ASL+ Disassembler version 20170303 (64-bit version)
  * Copyright (c) 2000 - 2017 Intel Corporation
  * 
- * Disassembly of rsdt.dat, Sun Apr 23 19:37:21 2017
+ * Disassembly of rsdt.dat, Sun Apr 23 19:37:30 2017
  *
  * ACPI Data Table [RSDT]
  *
@@ -13,24 +13,24 @@
 [000h 0000   4]                    Signature : "RSDT"    [Root System Description Table]
 [004h 0004   4]                 Table Length : 00000040
 [008h 0008   1]                     Revision : 01
-[009h 0009   1]                     Checksum : FF
+[009h 0009   1]                     Checksum : 07
 [00Ah 0010   6]                       Oem ID : "VRTUAL"
 [010h 0016   8]                 Oem Table ID : "MICROSFT"
-[018h 0024   4]                 Oem Revision : 05001223
+[018h 0024   4]                 Oem Revision : 01001706
 [01Ch 0028   4]              Asl Compiler ID : "MSFT"
 [020h 0032   4]        Asl Compiler Revision : 00000097
 
 [024h 0036   4]       ACPI Table Address   0 : F7FF0200
-[028h 0040   4]       ACPI Table Address   1 : F7FF1480
-[02Ch 0044   4]       ACPI Table Address   2 : F7FF14C0
-[030h 0048   4]       ACPI Table Address   3 : F7FF16C0
-[034h 0052   4]       ACPI Table Address   4 : F7FF0600
+[028h 0040   4]       ACPI Table Address   1 : F7FF1A80
+[02Ch 0044   4]       ACPI Table Address   2 : F7FF1AC0
+[030h 0048   4]       ACPI Table Address   3 : F7FF1CC0
+[034h 0052   4]       ACPI Table Address   4 : F7FF0800
 [038h 0056   4]       ACPI Table Address   5 : F7FF0300
 [03Ch 0060   4]       ACPI Table Address   6 : F7FFF040
 
 Raw Table Data: Length 64 (0x40)
 
-  0000: 52 53 44 54 40 00 00 00 01 FF 56 52 54 55 41 4C  // RSDT@.....VRTUAL
-  0010: 4D 49 43 52 4F 53 46 54 23 12 00 05 4D 53 46 54  // MICROSFT#...MSFT
-  0020: 97 00 00 00 00 02 FF F7 80 14 FF F7 C0 14 FF F7  // ................
-  0030: C0 16 FF F7 00 06 FF F7 00 03 FF F7 40 F0 FF F7  // ............@...
+  0000: 52 53 44 54 40 00 00 00 01 07 56 52 54 55 41 4C  // RSDT@.....VRTUAL
+  0010: 4D 49 43 52 4F 53 46 54 06 17 00 01 4D 53 46 54  // MICROSFT....MSFT
+  0020: 97 00 00 00 00 02 FF F7 80 1A FF F7 C0 1A FF F7  // ................
+  0030: C0 1C FF F7 00 08 FF F7 00 03 FF F7 40 F0 FF F7  // ............@...
Binary files hyperv_w10_20150906/slic.dat and hyperv_w10_1703/slic.dat differ
diff -ur hyperv_w10_20150906/srat.dsl hyperv_w10_1703/srat.dsl
--- hyperv_w10_20150906/srat.dsl	2017-04-23 19:37:21.996456000 +0200
+++ hyperv_w10_1703/srat.dsl	2017-04-23 19:37:30.326539000 +0200
@@ -3,7 +3,7 @@
  * AML/ASL+ Disassembler version 20170303 (64-bit version)
  * Copyright (c) 2000 - 2017 Intel Corporation
  * 
- * Disassembly of srat.dat, Sun Apr 23 19:37:21 2017
+ * Disassembly of srat.dat, Sun Apr 23 19:37:30 2017
  *
  * ACPI Data Table [SRAT]
  *
@@ -13,7 +13,7 @@
 [000h 0000   4]                    Signature : "SRAT"    [System Resource Affinity Table]
 [004h 0004   4]                 Table Length : 00000110
 [008h 0008   1]                     Revision : 02
-[009h 0009   1]                     Checksum : 0E
+[009h 0009   1]                     Checksum : CC
 [00Ah 0010   6]                       Oem ID : "VRTUAL"
 [010h 0016   8]                 Oem Table ID : "MICROSFT"
 [018h 0024   4]                 Oem Revision : 00000001
@@ -74,12 +74,12 @@
 [076h 0118   2]                    Reserved1 : 0000
 [078h 0120   8]                 Base Address : 0000000000000000
 [080h 0128   8]               Address Length : 00000000F8000000
-[088h 0136   4]                    Reserved2 : 0EE13810
-[08Ch 0140   4]        Flags (decoded below) : 00007FF5
+[088h 0136   4]                    Reserved2 : 00000000
+[08Ch 0140   4]        Flags (decoded below) : 00000001
                                      Enabled : 1
                                Hot Pluggable : 0
-                                Non-Volatile : 1
-[090h 0144   8]                    Reserved3 : 0000005FD3AB30D0
+                                Non-Volatile : 0
+[090h 0144   8]                    Reserved3 : 0000000000000000
 
 [098h 0152   1]                Subtable Type : 01 [Memory Affinity]
 [099h 0153   1]                       Length : 28
@@ -88,12 +88,12 @@
 [09Eh 0158   2]                    Reserved1 : 0000
 [0A0h 0160   8]                 Base Address : 0000000100000000
 [0A8h 0168   8]               Address Length : 0000000088000000
-[0B0h 0176   4]                    Reserved2 : 0EE13810
-[0B4h 0180   4]        Flags (decoded below) : 00007FF5
+[0B0h 0176   4]                    Reserved2 : 00000000
+[0B4h 0180   4]        Flags (decoded below) : 00000001
                                      Enabled : 1
                                Hot Pluggable : 0
-                                Non-Volatile : 1
-[0B8h 0184   8]                    Reserved3 : 0000005FD3AB30D0
+                                Non-Volatile : 0
+[0B8h 0184   8]                    Reserved3 : 0000000000000000
 
 [0C0h 0192   1]                Subtable Type : 01 [Memory Affinity]
 [0C1h 0193   1]                       Length : 28
@@ -102,12 +102,12 @@
 [0C6h 0198   2]                    Reserved1 : 0000
 [0C8h 0200   8]                 Base Address : 0000000188200000
 [0D0h 0208   8]               Address Length : 0000000E57E00000
-[0D8h 0216   4]                    Reserved2 : D07C5EA0
-[0DCh 0220   4]        Flags (decoded below) : 0000005F
+[0D8h 0216   4]                    Reserved2 : 00000000
+[0DCh 0220   4]        Flags (decoded below) : 00000003
                                      Enabled : 1
                                Hot Pluggable : 1
-                                Non-Volatile : 1
-[0E0h 0224   8]                    Reserved3 : 00007FF60ED26CF1
+                                Non-Volatile : 0
+[0E0h 0224   8]                    Reserved3 : 0000000000000000
 
 [0E8h 0232   1]                Subtable Type : 01 [Memory Affinity]
 [0E9h 0233   1]                       Length : 28
@@ -116,16 +116,16 @@
 [0EEh 0238   2]                    Reserved1 : 0000
 [0F0h 0240   8]                 Base Address : 0000001000000000
 [0F8h 0248   8]               Address Length : 000000F000000000
-[100h 0256   4]                    Reserved2 : D07C5EA0
-[104h 0260   4]        Flags (decoded below) : 0000005F
+[100h 0256   4]                    Reserved2 : 00000000
+[104h 0260   4]        Flags (decoded below) : 00000003
                                      Enabled : 1
                                Hot Pluggable : 1
-                                Non-Volatile : 1
-[108h 0264   8]                    Reserved3 : 00007FF60ED26CF1
+                                Non-Volatile : 0
+[108h 0264   8]                    Reserved3 : 0000000000000000
 
 Raw Table Data: Length 272 (0x110)
 
-  0000: 53 52 41 54 10 01 00 00 02 0E 56 52 54 55 41 4C  // SRAT......VRTUAL
+  0000: 53 52 41 54 10 01 00 00 02 CC 56 52 54 55 41 4C  // SRAT......VRTUAL
   0010: 4D 49 43 52 4F 53 46 54 01 00 00 00 4D 53 46 54  // MICROSFT....MSFT
   0020: 01 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00  // ................
   0030: 00 10 00 00 01 00 00 00 00 00 00 00 00 00 00 00  // ................
@@ -133,12 +133,12 @@
   0050: 00 10 00 02 01 00 00 00 00 00 00 00 00 00 00 00  // ................
   0060: 00 10 00 03 01 00 00 00 00 00 00 00 00 00 00 00  // ................
   0070: 01 28 00 00 00 00 00 00 00 00 00 00 00 00 00 00  // .(..............
-  0080: 00 00 00 F8 00 00 00 00 10 38 E1 0E F5 7F 00 00  // .........8......
-  0090: D0 30 AB D3 5F 00 00 00 01 28 00 00 00 00 00 00  // .0.._....(......
+  0080: 00 00 00 F8 00 00 00 00 00 00 00 00 01 00 00 00  // ................
+  0090: 00 00 00 00 00 00 00 00 01 28 00 00 00 00 00 00  // .........(......
   00A0: 00 00 00 00 01 00 00 00 00 00 00 88 00 00 00 00  // ................
-  00B0: 10 38 E1 0E F5 7F 00 00 D0 30 AB D3 5F 00 00 00  // .8.......0.._...
+  00B0: 00 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00  // ................
   00C0: 01 28 00 00 00 00 00 00 00 00 20 88 01 00 00 00  // .(........ .....
-  00D0: 00 00 E0 57 0E 00 00 00 A0 5E 7C D0 5F 00 00 00  // ...W.....^|._...
-  00E0: F1 6C D2 0E F6 7F 00 00 01 28 00 00 00 00 00 00  // .l.......(......
+  00D0: 00 00 E0 57 0E 00 00 00 00 00 00 00 03 00 00 00  // ...W............
+  00E0: 00 00 00 00 00 00 00 00 01 28 00 00 00 00 00 00  // .........(......
   00F0: 00 00 00 00 10 00 00 00 00 00 00 00 F0 00 00 00  // ................
-  0100: A0 5E 7C D0 5F 00 00 00 F1 6C D2 0E F6 7F 00 00  // .^|._....l......
+  0100: 00 00 00 00 03 00 00 00 00 00 00 00 00 00 00 00  // ................
Binary files hyperv_w10_20150906/waet.dat and hyperv_w10_1703/waet.dat differ
diff -ur hyperv_w10_20150906/waet.dsl hyperv_w10_1703/waet.dsl
--- hyperv_w10_20150906/waet.dsl	2017-04-23 19:37:21.996456000 +0200
+++ hyperv_w10_1703/waet.dsl	2017-04-23 19:37:30.326539000 +0200
@@ -3,7 +3,7 @@
  * AML/ASL+ Disassembler version 20170303 (64-bit version)
  * Copyright (c) 2000 - 2017 Intel Corporation
  * 
- * Disassembly of waet.dat, Sun Apr 23 19:37:21 2017
+ * Disassembly of waet.dat, Sun Apr 23 19:37:30 2017
  *
  * ACPI Data Table [WAET]
  *
@@ -13,10 +13,10 @@
 [000h 0000   4]                    Signature : "WAET"    [Windows ACPI Emulated Devices Table]
 [004h 0004   4]                 Table Length : 00000028
 [008h 0008   1]                     Revision : 01
-[009h 0009   1]                     Checksum : 53
+[009h 0009   1]                     Checksum : 6F
 [00Ah 0010   6]                       Oem ID : "VRTUAL"
 [010h 0016   8]                 Oem Table ID : "MICROSFT"
-[018h 0024   4]                 Oem Revision : 05001223
+[018h 0024   4]                 Oem Revision : 01001706
 [01Ch 0028   4]              Asl Compiler ID : "MSFT"
 [020h 0032   4]        Asl Compiler Revision : 00000097
 
@@ -26,6 +26,6 @@
 
 Raw Table Data: Length 40 (0x28)
 
-  0000: 57 41 45 54 28 00 00 00 01 53 56 52 54 55 41 4C  // WAET(....SVRTUAL
-  0010: 4D 49 43 52 4F 53 46 54 23 12 00 05 4D 53 46 54  // MICROSFT#...MSFT
+  0000: 57 41 45 54 28 00 00 00 01 6F 56 52 54 55 41 4C  // WAET(....oVRTUAL
+  0010: 4D 49 43 52 4F 53 46 54 06 17 00 01 4D 53 46 54  // MICROSFT....MSFT
   0020: 97 00 00 00 03 00 00 00                          // ........
